# Sample GUI
add_executable(sample_gui gui-main.cpp)
target_include_directories(sample_gui PUBLIC
                          "${PROJECT_SOURCE_DIR}/src/console"
                          "${PROJECT_SOURCE_DIR}/src/client"
                          )
target_link_libraries(sample_gui PUBLIC client windows console core 
    network database geometry audio web)

if(WIN32)
add_executable(sample_gui_win WIN32 gui-main-win.cpp)
target_include_directories(sample_gui PUBLIC
                          "${PROJECT_SOURCE_DIR}/src/console"
                          "${PROJECT_SOURCE_DIR}/src/client"
                          )
target_link_libraries(sample_gui_win PUBLIC client windows console core 
    network database geometry audio web)
set_property(TARGET sample_gui_win PROPERTY FOLDER apps)
endif()

# Sample Console
add_executable(sample_console console-main.cpp)
target_include_directories(sample_console PUBLIC
                          "${PROJECT_SOURCE_DIR}/src/console"
                          )
target_link_libraries(sample_console PUBLIC console core network 
    database geometry audio web)

set_property(TARGET sample_console PROPERTY FOLDER apps)
set_property(TARGET sample_gui PROPERTY FOLDER apps)